/*
 * Mangrove Server API
 *
 * Submit and retrieve reviews, as well as aggregate statistics about reviews. More information about the values and types can be found in the [Open Reviews Standard](https://mangrove.reviews/standard). For more description and example usage see [Mangrove Demo UI](https://mangrove.reviews) and [Mangrove Client JS Library](https://js.mangrove.reviews/) for a JavaScript wrapper of this API.
 *
 * The version of the OpenAPI document: 0.1.1
 *
 * Generated by: https://openapi-generator.tech
 */
use serde_derive::{Deserialize, Serialize};
/// PayloadMetadata : Any data relating to the issuer or circumstances of leaving review.

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct PayloadMetadata {
    #[serde(rename = "client_id", skip_serializing_if = "Option::is_none", default)]
    pub client_id: Option<String>,
    #[serde(rename = "nickname", skip_serializing_if = "Option::is_none", default)]
    pub nickname: Option<String>,
}

impl PayloadMetadata {
    /// Any data relating to the issuer or circumstances of leaving review.
    pub fn new() -> PayloadMetadata {
        PayloadMetadata {
            client_id: None,
            nickname: None,
        }
    }
}
